> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Fish Tts



## OpenAPI

````yaml /openapi/fish.json post /fish/tts
openapi: 3.0.0
info:
  title: Fish music generation
  version: 1.0.0
  description: API reference for Fish music generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /fish/tts:
    post:
      summary: Fish Tts
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Fish Tts Param Accept
        - in: header
          name: model
          schema:
            enum:
              - s1
              - s2-pro
              - s2.1-pro
            type: string
          required: false
          description: Fish Tts Param Model
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - text
              properties:
                text:
                  type: string
                  example: Hello, this is a Fish-Audio-compatible test.
                  description: Fish Tts Text
                reference_id:
                  type: string
                  example: d7900c21663f485ab63ebdb7e5905036
                  description: Fish Tts Reference Id
                format:
                  enum:
                    - mp3
                    - wav
                    - pcm
                    - opus
                  type: string
                  description: Fish Tts Format
                sample_rate:
                  type: integer
                  description: Fish Tts Sample Rate
                mp3_bitrate:
                  enum:
                    - 64
                    - 128
                    - 192
                  type: integer
                  description: Fish Tts Mp3 Bitrate
                opus_bitrate:
                  type: integer
                  description: Fish Tts Opus Bitrate
                latency:
                  enum:
                    - normal
                    - balanced
                  type: string
                  description: Fish Tts Latency
                chunk_length:
                  type: integer
                  description: Fish Tts Chunk Length
                min_chunk_length:
                  type: integer
                  description: Fish Tts Min Chunk Length
                temperature:
                  type: number
                  description: Fish Tts Temperature
                top_p:
                  type: number
                  description: Fish Tts Top P
                repetition_penalty:
                  type: number
                  description: Fish Tts Repetition Penalty
                max_new_tokens:
                  type: integer
                  description: Fish Tts Max New Tokens
                normalize:
                  type: boolean
                  description: Fish Tts Normalize
                prosody:
                  type: object
                  description: Fish Tts Prosody
                references:
                  type: array
                  description: Fish Tts References
                  items:
                    type: object
                callback_url:
                  type: string
                  description: Fish Tts Callback Url
                async:
                  type: boolean
                  description: Fish Tts Async
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  audio_url: >-
                    https://platform.r2.fish.audio/task/8a72ff9840234006a9f74cb2fa04f978.mp3
                properties:
                  audio_url:
                    type: string
                    description: Fish Tts Response 200 Audio Url
          description: Fish Tts Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Fish Tts Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Fish Tts Response 400 Error Message
                      trace_id:
                        type: string
                        description: Fish Tts Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Fish Tts Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Fish Tts Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Fish Tts Response 400 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: disabled
                        message: >-
                          Your application has been disabled by Ace Data Cloud
                          due to abnormal usage behavior, please contact our
                          support to get more information.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: disabled
                            description: Fish Tts Response 400 Error Code 3
                          message:
                            type: string
                            example: >-
                              Your application has been disabled by Ace Data
                              Cloud due to abnormal usage behavior, please
                              contact our support to get more information.
                            description: Fish Tts Response 400 Error Message 3
                      trace_id:
                        type: string
                        description: Fish Tts Response 400 Trace Id 3
                  - type: object
                    example:
                      error:
                        code: bad_request
                        message: model is invalid.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: bad_request
                            description: Fish Tts Response 400 Error Code 4
                          message:
                            type: string
                            example: model is invalid.
                            description: Fish Tts Response 400 Error Message 4
                      trace_id:
                        type: string
                        description: Fish Tts Response 400 Trace Id 4
                  - type: object
                    example:
                      error:
                        code: no_token
                        message: No token specified for the request.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_token
                            description: Fish Tts Response 400 Error Code 5
                          message:
                            type: string
                            example: No token specified for the request.
                            description: Fish Tts Response 400 Error Message 5
                      trace_id:
                        type: string
                        description: Fish Tts Response 400 Trace Id 5
          description: Fish Tts Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Fish Tts Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Fish Tts Response 401 Error Message
                      trace_id:
                        type: string
                        description: Fish Tts Response 401 Trace Id
                  - type: object
                    example:
                      error:
                        code: token_expired
                        message: token expired.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_expired
                            description: Fish Tts Response 401 Error Code 2
                          message:
                            type: string
                            example: token expired.
                            description: Fish Tts Response 401 Error Message 2
                      trace_id:
                        type: string
                        description: Fish Tts Response 401 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: token and api does not match.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Fish Tts Response 401 Error Code 3
                          message:
                            type: string
                            example: token and api does not match.
                            description: Fish Tts Response 401 Error Message 3
                      trace_id:
                        type: string
                        description: Fish Tts Response 401 Trace Id 3
          description: Fish Tts Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: used_up
                        message: >-
                          Your balance is not sufficient for current request,
                          please buy more in Ace Data Cloud.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: used_up
                            description: Fish Tts Response 403 Error Code
                          message:
                            type: string
                            example: >-
                              Your balance is not sufficient for current
                              request, please buy more in Ace Data Cloud.
                            description: Fish Tts Response 403 Error Message
                      trace_id:
                        type: string
                        description: Fish Tts Response 403 Trace Id
          description: Fish Tts Response 403
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: no_api
                        message: API does not exist, please make sure url is correct.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_api
                            description: Fish Tts Response 404 Error Code
                          message:
                            type: string
                            example: >-
                              API does not exist, please make sure url is
                              correct.
                            description: Fish Tts Response 404 Error Message
                      trace_id:
                        type: string
                        description: Fish Tts Response 404 Trace Id
          description: Fish Tts Response 404
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Fish Tts Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Fish Tts Response 429 Error Message
                      trace_id:
                        type: string
                        description: Fish Tts Response 429 Trace Id
          description: Fish Tts Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Fish Tts Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Fish Tts Response 500 Error Message
                      trace_id:
                        type: string
                        description: Fish Tts Response 500 Trace Id
          description: Fish Tts Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````